object HTMLActionListEditorForm: THTMLActionListEditorForm
  Left = 86
  Height = 315
  Top = 86
  Width = 404
  HorzScrollBar.Page = 399
  VertScrollBar.Page = 299
  Caption = 'HTML Action list editor'
  ClientHeight = 315
  ClientWidth = 404
  KeyPreview = True
  Position = poScreenCenter
  LCLVersion = '8.3'
  OnClose = ActionListEditorClose
  OnCreate = FormCreate
  OnHide = FormHide
  OnKeyDown = ActionListEditorKeyDown
  OnKeyPress = ActionListEditorKeyPress
  OnShow = FormShow
  object PanelDescr: TPanel
    Left = 0
    Height = 26
    Top = 28
    Width = 404
    Align = alTop
    BevelOuter = bvNone
    ClientHeight = 26
    ClientWidth = 404
    FullRepaint = False
    PopupMenu = PopMenuActions
    TabOrder = 0
    object lblName: TLabel
      Left = 8
      Height = 15
      Top = 8
      Width = 43
      Caption = 'Actions:'
      ParentColor = False
    end
  end
  object lstActionName: TListBox
    Left = 0
    Height = 261
    Top = 54
    Width = 404
    Align = alClient
    ItemHeight = 0
    PopupMenu = PopMenuActions
    TabOrder = 1
    OnClick = lstActionNameClick
    OnDblClick = lstActionNameDblClick
    OnKeyDown = lstActionNameKeyDown
    OnMouseDown = lstActionNameMouseDown
  end
  object tbActions: TToolBar
    Left = 0
    Height = 28
    Top = 0
    Width = 404
    ButtonHeight = 26
    ButtonWidth = 26
    Caption = 'tbActions'
    EdgeBorders = []
    EdgeInner = esNone
    EdgeOuter = esNone
    ParentShowHint = False
    ShowHint = True
    TabOrder = 2
    object btnAdd: TToolButton
      Left = 1
      Top = 0
      Action = ActNew
      DropdownMenu = PopMenuToolBarActions
      Style = tbsDropDown
    end
    object btnDelete: TToolButton
      Left = 39
      Top = 0
      Action = ActDelete
    end
    object ToolButton4: TToolButton
      Left = 65
      Height = 26
      Top = 0
      Caption = 'ToolButton4'
      Style = tbsDivider
    end
    object btnUp: TToolButton
      Left = 70
      Top = 0
      Action = ActMoveUp
    end
    object btnDown: TToolButton
      Left = 96
      Top = 0
      Action = ActMoveDown
    end
  end
  object alHTMLActions: TActionList
    Left = 136
    Top = 64
    object ActDelete: TAction
      Category = 'AddDelete'
      ShortCut = 46
      OnExecute = ActDeleteExecute
      OnUpdate = ActDeleteUpdate
    end
    object ActNew: TAction
      Category = 'AddDelete'
      ShortCut = 45
      OnExecute = ActNewExecute
    end
    object ActMoveUp: TAction
      Category = 'MoveUpDown'
      ShortCut = 16422
      OnExecute = ActMoveUpDownExecute
      OnUpdate = ActMoveUpUpdate
    end
    object ActMoveDown: TAction
      Category = 'MoveUpDown'
      ShortCut = 16424
      OnExecute = ActMoveUpDownExecute
      OnUpdate = ActMoveDownUpdate
    end
    object ActPanelDescr: TAction
      Category = 'Panels'
      AutoCheck = True
      Caption = 'ActPanelDescr'
      Checked = True
      OnExecute = ActPanelDescrExecute
    end
    object ActPanelToolBar: TAction
      Category = 'Panels'
      AutoCheck = True
      Caption = 'ActPanelToolBar'
      Checked = True
      OnExecute = ActPanelToolBarExecute
    end
    object actAddMissing: TAction
      Category = 'AddDelete'
      Caption = 'Add Missing tags'
      OnExecute = actAddMissingExecute
    end
    object actAddMissingUsingDB: TAction
      Caption = 'Add missing tags (Use Data-aware actions)'
      OnExecute = actAddMissingDBExecute
    end
    object actRemoveMissing: TAction
      Caption = 'Remove actions without corresponding tag'
      Hint = 'Remove actions without corresponding tag with ID equal to ElementID'
      OnExecute = actRemoveMissingExecute
    end
  end
  object PopMenuActions: TPopupMenu
    Left = 128
    Top = 192
    object mnuPopupNewAction: TMenuItem
      Action = ActNew
      Caption = 'New Action'
      OnClick = ActNewExecute
    end
    object mnuPopupAddStdAction: TMenuItem
      Caption = 'Add standard action'
      ShortCut = 16429
    end
    object MenuItem8: TMenuItem
      Caption = '-'
    end
    object mnuPopupMoveUpAction: TMenuItem
      Action = ActMoveUp
      Caption = 'Move Up'
      OnClick = ActMoveUpDownExecute
    end
    object mnuPopupMoveDownAction: TMenuItem
      Action = ActMoveDown
      Caption = 'Move Down'
      OnClick = ActMoveUpDownExecute
    end
    object MenuItem6: TMenuItem
      Caption = '-'
    end
    object mnuPopupDeleteAction: TMenuItem
      Action = ActDelete
      Caption = 'Delete'
      OnClick = ActDeleteExecute
    end
    object MenuItem1: TMenuItem
      Caption = '-'
    end
    object mnuPopupShowDescr: TMenuItem
      Action = ActPanelDescr
      AutoCheck = True
      OnClick = ActPanelDescrExecute
    end
    object mnuPopupShowToolbar: TMenuItem
      Action = ActPanelToolBar
      AutoCheck = True
      OnClick = ActPanelToolBarExecute
    end
  end
  object PopMenuToolBarActions: TPopupMenu
    Left = 128
    Top = 136
    object mnuTBAddAction: TMenuItem
      Action = ActNew
      Default = True
      OnClick = ActNewExecute
    end
    object mnuTBAddMissing: TMenuItem
      Action = actAddMissing
    end
    object mnuTBAddMissingDB: TMenuItem
      Caption = 'Add Missing tags (Data-aware)'
    end
    object mnuAddStdAction: TMenuItem
      Caption = 'Add Standard Action'
    end
  end
end
