object CreateRPCClientServiceForm: TCreateRPCClientServiceForm
  Left = 86
  Height = 427
  Top = 86
  Width = 565
  Caption = 'Create Service Client Form'
  ClientHeight = 427
  ClientWidth = 565
  Position = poScreenCenter
  LCLVersion = '8.3'
  object edtURL: TEdit
    Left = 88
    Height = 23
    Top = 13
    Width = 437
    Anchors = [akTop, akLeft, akRight]
    TabOrder = 0
    TextHint = 'URL to get API from'
  end
  object lblURL: TLabel
    AnchorSideTop.Control = edtURL
    AnchorSideTop.Side = asrCenter
    AnchorSideRight.Control = edtURL
    Left = 39
    Height = 15
    Top = 17
    Width = 41
    Alignment = taRightJustify
    Anchors = [akTop, akLeft, akRight]
    BorderSpacing.Right = 8
    Caption = 'U&RL'
    FocusControl = edtURL
  end
  object lblUnitName: TLabel
    AnchorSideTop.Control = edtUnitName
    AnchorSideTop.Side = asrCenter
    AnchorSideRight.Control = edtUnitName
    Left = 16
    Height = 15
    Top = 48
    Width = 64
    Alignment = taRightJustify
    Anchors = [akTop, akLeft, akRight]
    BorderSpacing.Right = 8
    Caption = '&Unit name'
    FocusControl = edtUnitName
  end
  object edtUnitName: TEdit
    AnchorSideTop.Control = edtURL
    AnchorSideTop.Side = asrBottom
    Left = 88
    Height = 23
    Top = 44
    Width = 437
    Anchors = [akTop, akLeft, akRight]
    BorderSpacing.Top = 8
    TabOrder = 1
    TextHint = 'Name of unit to generate'
    OnEditingDone = edtUnitNameEditingDone
  end
  object bpForm: TButtonPanel
    Left = 6
    Height = 34
    Top = 387
    Width = 553
    OKButton.Name = 'OKButton'
    OKButton.DefaultCaption = True
    OKButton.OnClick = OKButtonClick
    HelpButton.Name = 'HelpButton'
    HelpButton.DefaultCaption = True
    CloseButton.Name = 'CloseButton'
    CloseButton.DefaultCaption = True
    CancelButton.Name = 'CancelButton'
    CancelButton.DefaultCaption = True
    TabOrder = 2
    ShowButtons = [pbOK, pbCancel]
  end
  object edtFileName: TFileNameEdit
    AnchorSideTop.Control = edtUnitName
    AnchorSideTop.Side = asrBottom
    Left = 88
    Height = 23
    Top = 76
    Width = 437
    DialogKind = dkSave
    DialogTitle = 'Specify a file to save the unit to'
    Filter = 'Pascal files|*.pp;*.pas|All files|*.*'
    FilterIndex = 0
    DefaultExt = '.pp'
    HideDirectories = False
    ButtonWidth = 23
    NumGlyphs = 1
    Anchors = [akTop, akLeft, akRight]
    BorderSpacing.Top = 9
    MaxLength = 0
    TabOrder = 3
    TextHint = 'Filename to save to'
  end
  object lblFileName: TLabel
    AnchorSideTop.Control = edtFileName
    AnchorSideTop.Side = asrCenter
    AnchorSideRight.Control = edtFileName
    Left = 26
    Height = 15
    Top = 80
    Width = 54
    Alignment = taRightJustify
    Anchors = [akTop, akLeft, akRight]
    BorderSpacing.Right = 8
    Caption = '&Filename'
  end
  object cbForceJSValueResult: TCheckBox
    AnchorSideTop.Control = cbPreferNativeInt
    AnchorSideTop.Side = asrBottom
    Left = 88
    Height = 19
    Top = 134
    Width = 150
    BorderSpacing.Top = 8
    Caption = 'Force &JSValue Result type'
    TabOrder = 4
  end
  object cbPreferNativeInt: TCheckBox
    AnchorSideTop.Control = edtFileName
    AnchorSideTop.Side = asrBottom
    Left = 88
    Height = 19
    Top = 107
    Width = 168
    BorderSpacing.Top = 8
    Caption = 'Prefer &NativeInt for numbers'
    TabOrder = 5
  end
  object mPreview: TMemo
    AnchorSideTop.Control = cbForceJSValueResult
    AnchorSideTop.Side = asrBottom
    Left = 94
    Height = 153
    Top = 161
    Width = 431
    Anchors = [akTop, akLeft, akRight, akBottom]
    BorderSpacing.Top = 8
    Lines.Strings = (
      ''
    )
    ReadOnly = True
    ScrollBars = ssAutoBoth
    TabOrder = 6
    WordWrap = False
  end
  object btnPreview: TButton
    AnchorSideTop.Control = cbForceJSValueResult
    AnchorSideTop.Side = asrCenter
    Left = 441
    Height = 25
    Top = 131
    Width = 84
    Anchors = [akTop, akRight]
    Caption = '&Preview'
    TabOrder = 7
    OnClick = btnPreviewClick
  end
  object lblPreview: TLabel
    AnchorSideTop.Control = mPreview
    AnchorSideRight.Control = mPreview
    Left = 19
    Height = 15
    Top = 161
    Width = 67
    Alignment = taRightJustify
    Anchors = [akTop, akLeft, akRight]
    BorderSpacing.Right = 8
    Caption = 'Previe&w'
  end
  object cbCopyToClipBoard: TCheckBox
    AnchorSideLeft.Control = mPreview
    Left = 94
    Height = 19
    Top = 354
    Width = 244
    Anchors = [akLeft, akBottom]
    Caption = '&Copy source to clipBoard in addition to file'
    TabOrder = 8
  end
  object cbAddToProject: TCheckBox
    AnchorSideLeft.Control = mPreview
    Left = 94
    Height = 19
    Top = 327
    Width = 118
    Anchors = [akLeft, akBottom]
    Caption = 'Add unit to &project'
    TabOrder = 9
  end
  object APIClient: TFPHTTPClient
    KeepConnection = False
    IOTimeout = 0
    ConnectTimeout = 3000
    HTTPversion = '1.1'
    AllowRedirect = True
    VerifySSLCertificate = False
    Left = 24
    Top = 271
  end
end
