object DTSToPascalOptionsForm: TDTSToPascalOptionsForm
  Left = 86
  Height = 500
  Top = 86
  Width = 660
  Caption = 'Convert typescript module declaration to pascal unit'
  ClientHeight = 500
  ClientWidth = 660
  Constraints.MinHeight = 500
  Constraints.MinWidth = 500
  Position = poScreenCenter
  LCLVersion = '8.5'
  OnCreate = FormCreate
  OnDestroy = FormDestroy
  object BPOptions: TButtonPanel
    Left = 6
    Height = 34
    Top = 460
    Width = 648
    OKButton.Name = 'OKButton'
    OKButton.DefaultCaption = True
    HelpButton.Name = 'HelpButton'
    HelpButton.DefaultCaption = True
    CloseButton.Name = 'CloseButton'
    CloseButton.DefaultCaption = True
    CancelButton.Name = 'CancelButton'
    CancelButton.DefaultCaption = True
    TabOrder = 0
    ShowButtons = [pbOK, pbCancel]
  end
  object PCOptions: TPageControl
    Left = 0
    Height = 454
    Top = 0
    Width = 660
    ActivePage = TSInput
    Align = alClient
    TabIndex = 0
    TabOrder = 1
    object TSInput: TTabSheet
      Caption = 'Input'
      ClientHeight = 426
      ClientWidth = 652
      object lblDeclarationFile: TLabel
        AnchorSideTop.Control = FEDts
        AnchorSideRight.Control = FEDts
        AnchorSideBottom.Control = FEDts
        AnchorSideBottom.Side = asrBottom
        Left = 66
        Height = 23
        Top = 35
        Width = 94
        Anchors = [akTop, akRight, akBottom]
        AutoSize = False
        BorderSpacing.Right = 8
        Caption = 'Declaration File'
        Layout = tlCenter
        ParentColor = False
      end
      object FEDts: TFileNameEdit
        AnchorSideTop.Control = RBLocal
        AnchorSideTop.Side = asrBottom
        Left = 168
        Height = 23
        Top = 35
        Width = 438
        DialogTitle = 'Select Typescript declaration file'
        DialogOptions = [ofFileMustExist, ofEnableSizing, ofViewDetail]
        Filter = 'Typescript declaration files|*.d.ts|Typescript files|*.ts|All files|*.*'
        FilterIndex = 0
        DefaultExt = '.d.ts'
        HideDirectories = False
        ButtonWidth = 23
        NumGlyphs = 1
        Anchors = [akTop, akLeft, akRight]
        BorderSpacing.Top = 8
        MaxLength = 0
        TabOrder = 0
        TextHint = 'Select a .d.ts file'
        OnEnter = FEDtsEnter
      end
      object RBLocal: TRadioButton
        AnchorSideTop.Control = TSInput
        Left = 16
        Height = 19
        Top = 8
        Width = 65
        BorderSpacing.Top = 8
        Caption = 'Local file'
        Checked = True
        TabOrder = 1
        TabStop = True
      end
      object RBService: TRadioButton
        AnchorSideLeft.Control = RBLocal
        AnchorSideTop.Control = FEDts
        AnchorSideTop.Side = asrBottom
        Left = 16
        Height = 19
        Top = 66
        Width = 164
        BorderSpacing.Top = 8
        Caption = 'FPC DefinitelyTyped Service'
        TabOrder = 2
      end
      object cbModule: TComboBox
        AnchorSideTop.Control = RBService
        AnchorSideTop.Side = asrBottom
        Left = 165
        Height = 23
        Top = 93
        Width = 413
        Anchors = [akTop, akLeft, akRight]
        BorderSpacing.Top = 8
        ItemHeight = 15
        TabOrder = 3
        TextHint = 'type or select a module'
        OnEnter = cbModuleEnter
        OnKeyUp = cbModuleKeyUp
      end
      object lblModulename: TLabel
        AnchorSideTop.Control = cbModule
        AnchorSideBottom.Control = cbModule
        AnchorSideBottom.Side = asrBottom
        Left = 56
        Height = 23
        Top = 93
        Width = 83
        Anchors = [akTop, akLeft, akBottom]
        AutoSize = False
        Caption = 'Module name'
        Layout = tlCenter
        ParentColor = False
      end
      object VLEAliases: TValueListEditor
        AnchorSideLeft.Control = edtUnits
        AnchorSideTop.Control = Label1
        AnchorSideTop.Side = asrBottom
        Left = 40
        Height = 198
        Top = 228
        Width = 536
        AlternateColor = clMoneyGreen
        Anchors = [akTop, akLeft, akRight, akBottom]
        BorderSpacing.Top = 8
        DefaultColWidth = 128
        FixedCols = 0
        RowCount = 3
        TabOrder = 4
        DisplayOptions = [doColumnTitles, doAutoColResize]
        KeyOptions = [keyEdit, keyAdd, keyDelete, keyUnique]
        Options = [goFixedVertLine, goFixedHorzLine, goVertLine, goHorzLine, goColSizing, goEditing, goAutoAddRows, goAlwaysShowEditor, goThumbTracking]
        Strings.Strings = (
          ''
          ''
        )
        TitleCaptions.Strings = (
          'Class'
          'Alias'
        )
        ColWidths = (
          266
          266
        )
      end
      object Label1: TLabel
        AnchorSideLeft.Control = RBLocal
        AnchorSideTop.Control = CBUseWeb
        AnchorSideTop.Side = asrBottom
        Left = 16
        Height = 15
        Top = 205
        Width = 36
        BorderSpacing.Top = 8
        Caption = 'Aliases'
        ParentColor = False
      end
      object edtUnits: TEdit
        AnchorSideTop.Control = lblExtraUnits
        AnchorSideTop.Side = asrBottom
        Left = 40
        Height = 23
        Top = 147
        Width = 536
        Anchors = [akTop, akLeft, akRight]
        BorderSpacing.Top = 8
        TabOrder = 5
        TextHint = 'Comma-separated list of units to use'
      end
      object lblExtraUnits: TLabel
        AnchorSideLeft.Control = RBLocal
        AnchorSideTop.Control = cbModule
        AnchorSideTop.Side = asrBottom
        Left = 16
        Height = 15
        Top = 124
        Width = 55
        BorderSpacing.Top = 8
        Caption = 'Extra units'
        ParentColor = False
      end
      object CBUseWeb: TCheckBox
        AnchorSideTop.Control = edtUnits
        AnchorSideTop.Side = asrBottom
        Left = 16
        Height = 19
        Top = 178
        Width = 148
        BorderSpacing.Top = 8
        Caption = 'Use Web unit and aliases'
        Checked = True
        State = cbChecked
        TabOrder = 6
      end
    end
    object TSOptions: TTabSheet
      Caption = 'Code generation'
      ClientHeight = 420
      ClientWidth = 652
      object CGOptions: TCheckGroup
        Left = 8
        Height = 200
        Top = 8
        Width = 633
        Anchors = [akTop, akLeft, akRight, akBottom]
        AutoFill = True
        Caption = 'Options'
        ChildSizing.LeftRightSpacing = 6
        ChildSizing.TopBottomSpacing = 6
        ChildSizing.EnlargeHorizontal = crsHomogenousChildResize
        ChildSizing.EnlargeVertical = crsHomogenousChildResize
        ChildSizing.ShrinkHorizontal = crsScaleChilds
        ChildSizing.ShrinkVertical = crsScaleChilds
        ChildSizing.Layout = cclLeftToRightThenTopToBottom
        ChildSizing.ControlsPerLine = 2
        ClientHeight = 180
        ClientWidth = 629
        Columns = 2
        Items.Strings = (
          'Raw code (no unit)'
          'Generic Arrays'
          'Use native type aliases'
          'Use class local argument types'
          'Untyped tuples'
          'Dynamic tuples'
          'External consts'
          'Expand union-typed arguments'
          'Add used options to header'
          'Generate Interfaces as classes'
          'Skip Import statements'
        )
        TabOrder = 0
        Data = {
          0B0000000202020202020202020202
        }
      end
    end
  end
  object tmrComplete: TTimer
    Enabled = False
    Interval = 250
    OnTimer = tmrCompleteTimer
    Left = 276
    Top = 39
  end
end
