object WebBrowserProjectOptionsForm: TWebBrowserProjectOptionsForm
  Left = 86
  Height = 490
  Top = 86
  Width = 624
  Caption = 'Pas2JS Browser project options'
  ClientHeight = 490
  ClientWidth = 624
  Position = poScreenCenter
  LCLVersion = '8.5'
  OnCreate = FormCreate
  object CBCreateHTML: TCheckBox
    AnchorSideLeft.Control = Owner
    AnchorSideTop.Control = Owner
    Left = 6
    Height = 19
    Top = 6
    Width = 148
    BorderSpacing.Left = 6
    BorderSpacing.Top = 6
    Caption = 'Create initial HTML page'
    Checked = True
    State = cbChecked
    TabOrder = 0
    OnChange = CBCreateHTMLChange
  end
  object CBUseBrowserApp: TCheckBox
    AnchorSideLeft.Control = CBCreateHTML
    AnchorSideTop.Control = CBUseBrowserConsole
    AnchorSideTop.Side = asrBottom
    Left = 6
    Height = 19
    Top = 131
    Width = 182
    BorderSpacing.Top = 6
    Caption = 'Use Browser Application object'
    TabOrder = 1
    OnChange = CBUseBrowserAppChange
  end
  object CBUseBrowserConsole: TCheckBox
    AnchorSideLeft.Control = CBCreateHTML
    AnchorSideTop.Control = CBShowUncaughtExceptions
    AnchorSideTop.Side = asrBottom
    Left = 38
    Height = 19
    Top = 106
    Width = 292
    BorderSpacing.Left = 32
    BorderSpacing.Top = 6
    Caption = 'Use Browser Console unit to display writeln() output'
    TabOrder = 2
  end
  object BPHelpOptions: TButtonPanel
    Left = 6
    Height = 34
    Top = 450
    Width = 612
    OKButton.Name = 'OKButton'
    OKButton.DefaultCaption = True
    HelpButton.Name = 'HelpButton'
    HelpButton.DefaultCaption = True
    CloseButton.Name = 'CloseButton'
    CloseButton.DefaultCaption = True
    CancelButton.Name = 'CancelButton'
    CancelButton.DefaultCaption = True
    TabOrder = 3
    ShowButtons = [pbOK, pbCancel]
  end
  object CBMaintainPage: TCheckBox
    AnchorSideLeft.Control = CBCreateHTML
    AnchorSideTop.Control = CBCreateHTML
    AnchorSideTop.Side = asrBottom
    Left = 38
    Height = 19
    Top = 31
    Width = 129
    BorderSpacing.Left = 32
    BorderSpacing.Top = 6
    Caption = 'Maintain HTML Page'
    TabOrder = 4
  end
  object CBRunOnReady: TCheckBox
    AnchorSideLeft.Control = CBCreateHTML
    AnchorSideTop.Control = CBMaintainPage
    AnchorSideTop.Side = asrBottom
    Left = 38
    Height = 19
    Top = 56
    Width = 266
    BorderSpacing.Left = 32
    BorderSpacing.Top = 6
    Caption = 'Run rtl when all page resources are fully loaded'
    TabOrder = 5
  end
  object CBShowUncaughtExceptions: TCheckBox
    AnchorSideLeft.Control = CBCreateHTML
    AnchorSideTop.Control = CBRunOnReady
    AnchorSideTop.Side = asrBottom
    Left = 38
    Height = 19
    Top = 81
    Width = 193
    BorderSpacing.Left = 32
    BorderSpacing.Top = 6
    Caption = 'Let rtl show uncaught exceptions'
    TabOrder = 6
  end
  object CBUseWASI: TCheckBox
    AnchorSideLeft.Control = CBCreateHTML
    AnchorSideTop.Control = CBUseBrowserApp
    AnchorSideTop.Side = asrBottom
    Left = 38
    Height = 19
    Top = 156
    Width = 166
    BorderSpacing.Left = 32
    BorderSpacing.Top = 6
    Caption = 'Host webassembly program'
    Enabled = False
    TabOrder = 7
  end
  object edtWasmProgram: TEdit
    AnchorSideLeft.Control = CBUseWASI
    AnchorSideTop.Control = CBUseWASI
    AnchorSideTop.Side = asrBottom
    AnchorSideRight.Control = Owner
    AnchorSideRight.Side = asrBottom
    Left = 70
    Height = 23
    Top = 181
    Width = 548
    Anchors = [akTop, akLeft, akRight]
    BorderSpacing.Left = 32
    BorderSpacing.Top = 6
    BorderSpacing.Right = 6
    Enabled = False
    TabOrder = 8
    TextHint = 'Name of your webassembly file'
  end
  object CBUseModule: TCheckBox
    AnchorSideLeft.Control = CBCreateHTML
    AnchorSideTop.Control = edtWasmProgram
    AnchorSideTop.Side = asrBottom
    Left = 6
    Height = 19
    Top = 210
    Width = 254
    BorderSpacing.Top = 6
    Caption = 'Create a javascript module instead of a script'
    TabOrder = 9
    OnChange = CBUseHTTPServerChange
  end
  object RunGroupBox: TGroupBox
    AnchorSideLeft.Control = Owner
    AnchorSideTop.Control = CBUseHTTPServer
    AnchorSideTop.Side = asrBottom
    AnchorSideRight.Control = Owner
    AnchorSideRight.Side = asrBottom
    Left = 6
    Height = 138
    Top = 268
    Width = 612
    Anchors = [akTop, akLeft, akRight]
    AutoSize = True
    BorderSpacing.Top = 4
    BorderSpacing.Around = 6
    Caption = 'Run'
    ClientHeight = 118
    ClientWidth = 608
    TabOrder = 10
    object RBRunServerAt: TRadioButton
      AnchorSideLeft.Control = RunGroupBox
      AnchorSideTop.Control = SERunPort
      AnchorSideTop.Side = asrCenter
      Left = 6
      Height = 19
      Top = 37
      Width = 150
      BorderSpacing.Left = 6
      BorderSpacing.Top = 6
      Caption = 'Start HTTP Server on port'
      TabOrder = 4
      OnChange = RBRunServerAtChange
    end
    object SERunPort: TSpinEdit
      AnchorSideLeft.Control = RBRunServerAt
      AnchorSideLeft.Side = asrBottom
      AnchorSideTop.Control = CBRunLocationOnSWS
      AnchorSideTop.Side = asrBottom
      Left = 162
      Height = 23
      Top = 35
      Width = 76
      BorderSpacing.Left = 6
      BorderSpacing.Top = 6
      MaxValue = 65354
      MinValue = 1024
      TabOrder = 0
      Value = 3000
    end
    object RBRunBrowserWithURL: TRadioButton
      AnchorSideLeft.Control = RBRunServerAt
      AnchorSideTop.Control = CBRunServerURL
      AnchorSideTop.Side = asrCenter
      Left = 6
      Height = 19
      Top = 66
      Width = 124
      Caption = 'Use URL to start app'
      TabOrder = 1
      OnChange = RBRunBrowserWithURLChange
    end
    object CBRunServerURL: TComboBox
      AnchorSideLeft.Control = RBRunBrowserWithURL
      AnchorSideLeft.Side = asrBottom
      AnchorSideTop.Control = SERunPort
      AnchorSideTop.Side = asrBottom
      AnchorSideRight.Control = RunGroupBox
      AnchorSideRight.Side = asrBottom
      Left = 136
      Height = 23
      Top = 64
      Width = 466
      Anchors = [akTop, akLeft, akRight]
      BorderSpacing.Left = 6
      BorderSpacing.Top = 6
      BorderSpacing.Right = 6
      BorderSpacing.Bottom = 6
      ItemHeight = 15
      TabOrder = 2
    end
    object RBRunDefault: TRadioButton
      AnchorSideTop.Control = CBRunServerURL
      AnchorSideTop.Side = asrBottom
      Left = 6
      Height = 19
      Top = 93
      Width = 145
      BorderSpacing.Left = 6
      BorderSpacing.Top = 6
      BorderSpacing.Bottom = 6
      Caption = 'Execute Run Parameters'
      TabOrder = 3
      OnChange = RBRunDefaultChange
    end
    object RBRunLocationOnSWS: TRadioButton
      AnchorSideLeft.Control = RunGroupBox
      AnchorSideTop.Control = CBRunLocationOnSWS
      AnchorSideTop.Side = asrCenter
      Left = 6
      Height = 19
      Top = 8
      Width = 182
      BorderSpacing.Left = 6
      Caption = 'Location on Simple Web Server'
      Checked = True
      TabOrder = 6
      TabStop = True
      OnChange = RBRunLocationOnSWSChange
    end
    object CBRunLocationOnSWS: TComboBox
      AnchorSideLeft.Control = RBRunLocationOnSWS
      AnchorSideLeft.Side = asrBottom
      AnchorSideTop.Control = RunGroupBox
      AnchorSideRight.Control = RunGroupBox
      AnchorSideRight.Side = asrBottom
      Left = 194
      Height = 23
      Top = 6
      Width = 408
      Anchors = [akTop, akLeft, akRight]
      BorderSpacing.Left = 6
      BorderSpacing.Top = 6
      BorderSpacing.Right = 6
      ItemHeight = 15
      ItemIndex = 0
      Items.Strings = (
        '$NameOnly($(ProjFile))'
      )
      TabOrder = 5
      Text = '$NameOnly($(ProjFile))'
    end
  end
  object CBUseHTTPServer: TCheckBox
    AnchorSideLeft.Control = CBCreateHTML
    AnchorSideTop.Control = CBUseModule
    AnchorSideTop.Side = asrBottom
    Left = 6
    Height = 19
    Top = 239
    Width = 164
    BorderSpacing.Top = 10
    Caption = 'Project needs a HTTP Server'
    TabOrder = 11
    OnChange = CBUseHTTPServerChange
  end
end
